Skip to main content
`Ctrl`+`K`

# DMPlexLabelComplete

Starting with a label marking points, we add their transitive closure

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexLabelComplete(DM dm, DMLabel label)

## Input Parameters

- dm - The `DM`

- label - A `DMLabel` marking the points

## Output Parameter

- label - A `DMLabel` marking all points in the transitive closure

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexLabelCohesiveComplete()`

## Level

developer

## Location

src/dm/impls/plex/plexsubmesh.c

## Examples

src/snes/tutorials/ex56.c
src/ts/tutorials/ex52.c
src/tao/tutorials/ex3.c
src/snes/tutorials/ex23.c
src/ts/tutorials/ex48.c

## Implementations

DMPlexLabelComplete_Internal() in src/dm/impls/plex/plexsubmesh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages